Attribute VB_Name = "formletter2pdf"
' **********************************************************************************************
' formletter2pdf
'
' Copyright 2013 Christian Bartl (www.formletter2pdf.com)
'
' Licensed under the Apache License, Version 2.0 (the "License");
' you may not use this file except in compliance with the License.
' You may obtain a copy of the License at
'
' http://www.apache.org/licenses/LICENSE-2.0
'
' Unless required by applicable law or agreed to in writing, software
' distributed under the License is distributed on an "AS IS" BASIS,
' WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
' See the License for the specific language governing permissions and
' limitations under the License.
'
' This notice must appear in all copies of the script.
' **********************************************************************************************


Sub formletter2pdf()
    
    ' define variables
    Dim MailMergeState As Object

    ' test if document is a formletter
    Set MailMergeState = ActiveDocument.MailMerge
    If MailMergeState.State = wdMainAndDataSource Then
        formletter2pdf_form.Show
    Else
        MsgBox "formletter2pdf cannot be executed, because this document isn't a form letter. Please start the mail merge function first and then run formletter2pdf again.", vbOKOnly + vbCritical
    End If
    
End Sub
